Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Public Member Functions | Public Attributes | Private Member Functions | Private Attributes
ArgusSamples::TaskMultiExposure Class Reference

This task captures multiple streams with different exposure compensation values. More...

`#include <MultiExposure.h>`

Inheritance diagram for ArgusSamples::TaskMultiExposure:

List of all members.

## Classes
class | ExpLevel
| For each exposure level there is one request where the exposure compensation is set to the correct value. More...

## Public Member Functions
| TaskMultiExposure ()
virtual | ~TaskMultiExposure ()
ITask methods
virtual bool | initialize ()
| Initialize.
virtual bool | shutdown ()
| Shutdown.
virtual bool | start ()
| Start.
virtual bool | stop ()
| Stop.
Public Member Functions inherited from ArgusSamples::ITask
| ITask ()
virtual | ~ITask ()

## Public Attributes
Value< uint32_t > | m_exposureSteps
| steps within the exposure range
Value< Argus::Range< float > > | m_exposureRange
| in eV, e.g.

## Private Member Functions
bool | onDeviceOpenChanged (const Observed &source)
| Callback when the device is opened/closed.
bool | onSensorModeValidChanged (const Observed &source)
| Callback when the sensorModeValid is changed.
bool | onParametersChanged (const Observed &source)
| Callback when the exposure range or steps changes.
bool | shutdownExpLevels ()
| Shut down the exposure level streams.
bool | restartStreams (const Observed &source)
| Restart when output size changes.

## Private Attributes
Value< Argus::Range< uint32_t > > | m_exposureStepsRange
| allowed exposure steps
bool | m_initialized
| -1 eV to +2 eV
bool | m_running
| set if preview is running
bool | m_wasRunning
| set if was running before the device had been closed
bool | m_prevRunning
| set if was running before the sensorModeValid is set to false
std::list< ExpLevel * > | m_expLevels
| exposure level

## Detailed Description

This task captures multiple streams with different exposure compensation values.

Definition at line 47 of file MultiExposure.h.

## Constructor & Destructor Documentation

ArgusSamples::TaskMultiExposure::TaskMultiExposure | ( |  | ) |

Definition at line 40 of file MultiExposure.cpp.

ArgusSamples::TaskMultiExposure::~TaskMultiExposure | ( |  | ) |
| virtual

Definition at line 55 of file MultiExposure.cpp.

## Member Function Documentation

bool ArgusSamples::TaskMultiExposure::initialize | ( |  | ) |
| virtual

Initialize.

Implements ArgusSamples::ITask.

Definition at line 150 of file MultiExposure.cpp.

bool ArgusSamples::TaskMultiExposure::onDeviceOpenChanged | ( | const Observed & | source | ) |
| private

Callback when the device is opened/closed.

Definition at line 232 of file MultiExposure.cpp.

bool ArgusSamples::TaskMultiExposure::onParametersChanged | ( | const Observed & | source | ) |
| private

Callback when the exposure range or steps changes.

Definition at line 279 of file MultiExposure.cpp.

bool ArgusSamples::TaskMultiExposure::onSensorModeValidChanged | ( | const Observed & | source | ) |
| private

Callback when the sensorModeValid is changed.

Definition at line 258 of file MultiExposure.cpp.

bool ArgusSamples::TaskMultiExposure::restartStreams | ( | const Observed & | source | ) |
| private

Restart when output size changes.

Definition at line 222 of file MultiExposure.cpp.

bool ArgusSamples::TaskMultiExposure::shutdown | ( |  | ) |
| virtual

Shutdown.

Implements ArgusSamples::ITask.

Definition at line 177 of file MultiExposure.cpp.

bool ArgusSamples::TaskMultiExposure::shutdownExpLevels | ( |  | ) |
| private

Shut down the exposure level streams.

Definition at line 205 of file MultiExposure.cpp.

bool ArgusSamples::TaskMultiExposure::start | ( |  | ) |
| virtual

Start.

Implements ArgusSamples::ITask.

Definition at line 294 of file MultiExposure.cpp.

bool ArgusSamples::TaskMultiExposure::stop | ( |  | ) |
| virtual

Stop.

Implements ArgusSamples::ITask.

Definition at line 353 of file MultiExposure.cpp.

## Member Data Documentation

std::list<ExpLevel*> ArgusSamples::TaskMultiExposure::m_expLevels
| private

exposure level

Definition at line 94 of file MultiExposure.h.

Value<Argus::Range<float> > ArgusSamples::TaskMultiExposure::m_exposureRange

in eV, e.g.

-1,2 results in exposures from

Definition at line 68 of file MultiExposure.h.

Value<uint32_t> ArgusSamples::TaskMultiExposure::m_exposureSteps

steps within the exposure range

Definition at line 67 of file MultiExposure.h.

Value<Argus::Range<uint32_t> > ArgusSamples::TaskMultiExposure::m_exposureStepsRange
| private

allowed exposure steps

Definition at line 64 of file MultiExposure.h.

bool ArgusSamples::TaskMultiExposure::m_initialized
| private

-1 eV to +2 eV

set if initialized

Definition at line 72 of file MultiExposure.h.

bool ArgusSamples::TaskMultiExposure::m_prevRunning
| private

set if was running before the sensorModeValid is set to false

Definition at line 75 of file MultiExposure.h.

bool ArgusSamples::TaskMultiExposure::m_running
| private

set if preview is running

Definition at line 73 of file MultiExposure.h.

bool ArgusSamples::TaskMultiExposure::m_wasRunning
| private

set if was running before the device had been closed

Definition at line 74 of file MultiExposure.h.

The documentation for this class was generated from the following files:

- modules/tasks/MultiExposure.h
- modules/tasks/MultiExposure.cpp